%define name	   {USBENDPOINT}
%define ver       {1.11}
%define rel	   {2}
%define prefix	    /tmp/rpm2
%define _unpackaged_files_terminate_build 0
%define _missing_doc_files_terminate_build 0

Summary: Conexant USB Endpoint driver.
Name: %{name}
Version: %{ver}
Release: %{rel}
Group:  Utilities/System
Copyright: GNU
Source0: USBNET_E2_Linux_41020b_REL1.11.tar.gz
URL: http://www.conexant.com/
Distribution: UsbAdsl
#BuildRoot: usr/src/redhat/BUILD/%{name}-%{ver}
#BuildRoot: $(RPM_BUILD_DIR)/%{name}-%{ver}


%{!?kernel: %{expand: %%define	kernel	%(uname -r)}}



%description
This is a driver package of Conexant's Usb Endpoint.

%prep
%setup -c

%changelog

*Fri Jun 11 2004  santosdc
-Make this packages

%build
#*********************************************Below is original
#cd e2
#make
#*********************************************Above is original

cd e2

case "%{kernel}" in
	2.4*)
		make -f Makefile_2.4
		touch e2.ko
		;;
	2.6*)
		make 
		;;
esac

%install

cd e2
install  -D -m 644 -o 0 -g 0  ./version /usr/local/e2/version
install  -D -m 644 -o 0 -g 0 ./e2.o /usr/local/e2/e2.o
install  -D -m 644 -o 0 -g 0 ./e2.ko /usr/local/e2/e2.ko
install  -D -m 744 -o 0 -g 0 ./cnxthsb /usr/local/e2/cnxthsb
install   -m 755 -o 0 -g 0 ./cnxthsb /etc/init.d/cnxthsb
ln -sf /etc/init.d/cnxthsb /etc/rc.d/rc3.d/S38cnxthsb
ln -sf /etc/init.d/cnxthsb /etc/rc.d/rc4.d/S38cnxthsb
ln -sf /etc/init.d/cnxthsb /etc/rc.d/rc5.d/S38cnxthsb
install  -D -m 644 -o 0 -g 0 ./E2Setup.txt /usr/local/e2/E2Setup.txt
install  -D -m 644 -o 0 -g 0 ./cnxe2fw.bin /usr/local/e2/cnxe2fw.bin
install  -m 644 -o 0 -g 0 ./cnxe2fw.bin /etc/CnxE2Fw.bin
install  -D -m 755 -o 0 -g 0 ./dhcpcd /usr/local/e2/dhcpcd



%files


/usr/local/e2/version
/usr/local/e2/e2.ko
/usr/local/e2/e2.o
/usr/local/e2/cnxthsb
/usr/local/e2/E2Setup.txt
/usr/local/e2/cnxe2fw.bin
/usr/local/e2/dhcpcd
#/etc/CnxE2Fw.bin
#/etc/init.d/cnxthsb
#/etc/rc.d/rc3.d/S38cnxthsb
#/etc/rc.d/rc4.d/S38cnxthsb
#/etc/rc.d/rc5.d/S38cnxthsb
